Discover all of the brand-new features and improvements to existing capabilities in the Dataiku 11.3 updateLET'S GO

Time Series Forecasting - Installing additional packages

Solved!
Khalid538
Level 2
Time Series Forecasting - Installing additional packages

We are trying to use Time Series forecasting plugin in one of our projects to train models but when we try to train the models we are getting this error.

"Initial analysis completed with a severe warning: You don't have access to a code-env with required packages to run time series forecasting models, please ask your administrator to create one and give you access to it.
You may have to modify the settings. "

I cannot add the additional packages under Time Series forecasting Code Env using the doc provided is this link

https://doc.dataiku.com/dss/latest/machine-learning/time-series-forecasting/introduction.html

Can anyone help?.


Operating system used: Cent OS


Operating system used: Cent OS

0 Kudos
1 Solution
AgatheG
Dataiker

Yes indeed, as you cannot train a model with the plugin (the plugin only grants you access to two plugin recipes).

So now in order to train time series forecasting models, an admin of the DSS instance needs to create a new dedicated Python code env (from `Adminitration` > `Code envs`):

Capture d’écran 2022-09-26 à 13.58.36.png

And then you should be able to follow the steps in the doc link you put in your original post:

Capture d’écran 2022-09-26 à 13.53.48.png

 

Capture d’écran 2022-09-26 à 13.53.58.png

 

Hope that helps!

 

Agathe

View solution in original post

4 Replies
AgatheG
Dataiker

Hi Khalid538,

 

If I understand correctly, you are not using a plugin but the core feature Time series forecasting (https://doc.dataiku.com/dss/latest/machine-learning/time-series-forecasting/index.html).

 

Can you detail a bit more what you mean by "I cannot add the additional packages under Time Series forecasting Code Env using the doc provided is this link"? What steps did you attempt to add these packages? Do you have any error message to provide us?

 

Sincerly,

Agathe

0 Kudos
Khalid538
Level 2
Author

No, I am using Forecast(GPU-CUDA100) plugin and during the installation of Plugin i built a code env for this plugin - plugin_timeseries-forecast-gpu-cuda100_managed.

When i go to this particular Code Envs I don't see any option of adding additional packages as stated in the Dataiku Documentation. I can see only "Currently Installed Packages" option -

 
 

 

 

0 Kudos
Khalid538
Level 2
Author

yes, you are right i am using Time Series forecasting features not the plugin...

0 Kudos
AgatheG
Dataiker

Yes indeed, as you cannot train a model with the plugin (the plugin only grants you access to two plugin recipes).

So now in order to train time series forecasting models, an admin of the DSS instance needs to create a new dedicated Python code env (from `Adminitration` > `Code envs`):

Capture d’écran 2022-09-26 à 13.58.36.png

And then you should be able to follow the steps in the doc link you put in your original post:

Capture d’écran 2022-09-26 à 13.53.48.png

 

Capture d’écran 2022-09-26 à 13.53.58.png

 

Hope that helps!

 

Agathe